import { Modal, ModalService } from '@zeedhi/common';

export class ModalControllerAddProcedimento {
  private headerFooterModal!: Modal;

  private texto: string = '';

  private textoBtn: string = '';

  private exibir: boolean = false;

  private editar: boolean = false;

  public async openHeaderFooterModal(texto: string = '', exibir: boolean = false) {
    this.headerFooterModal = await ModalService.createFromJson('/modal/modalNovoProcedimento', true);
    this.texto = texto;
    this.exibir = exibir;
    this.editar = !exibir;
    this.textoBtn = (this.exibir) ? 'Cancelar' : 'Voltar';
    await this.headerFooterModal.show();
  }

  public async closeHeaderFooterModal() {
    await this.headerFooterModal.hide();
    this.headerFooterModal?.destroy();
  }

  public getTexto({ component }:any) {
    component.value = this.texto;
  }
}
